-- ALTER TABLE public.changelog DROP COLUMN "milestoneData";
ALTER TABLE public.changelog ADD COLUMN "milestoneData" jsonb NULL;
-- ALTER TABLE public.changelog DROP COLUMN "activityData";
ALTER TABLE public.changelog ADD COLUMN "activityData" jsonb NULL;
-- ALTER TABLE public.changelog DROP COLUMN "evidenceData";
ALTER TABLE public.changelog ADD COLUMN "evidenceData" jsonb NULL;
-- ALTER TABLE public.changelog DROP COLUMN "projectData";
ALTER TABLE public.changelog ADD COLUMN "projectData" jsonb;
UPDATE public.changelog SET "projectData" = '{}'::jsonb;
ALTER TABLE public.changelog ALTER COLUMN "projectData" SET NOT NULL;
-- ALTER TABLE public.changelog DROP COLUMN "userData";
ALTER TABLE public.changelog ADD COLUMN "userData" jsonb;
UPDATE public.changelog SET "userData" = '{}'::jsonb;
ALTER TABLE public.changelog ALTER COLUMN "userData" SET NOT NULL;